MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030635Open CASCADE[OCCT] OCCT:Visualizationpublic2019-04-08 16:142019-04-14 15:41
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030635: Visualization - move OpenGl_Layer to Graphic3d_Layer
DescriptionOpenGl_Layer implementation is general-purpose and irrelevant to OpenGL (apart from the method OpenGl_Layer::Render()),
so that it should be moved from TKOpenGl to TKV3d toolkit.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0030631newkgv Visualization - Vulkan graphic driver prototype 

-  Notes
(0083527)
git (administrator)
2019-04-08 16:53

Branch CR30635 has been created by kgv.

SHA-1: 06e6ef272690991b2e83353c6f2e017aaccca86c


Detailed log of new commits:

Author: kgv
Date: Mon Apr 8 16:22:20 2019 +0300

    0030635: Visualization - move OpenGl_Layer to Graphic3d_Layer
    
    Renamed classes (moved from TKOpenGl to TKV3d):
    - OpenGl_Layer -> Graphic3d_Layer;
    - OpenGl_BVHClipPrimitiveSet -> Graphic3d_BvhCStructureSet;
    - OpenGl_BVHClipPrimitiveTrsfPersSet -> Graphic3d_BvhCStructureSetTrsfPers;
    - OpenGl_BVHTreeSelector -> Graphic3d_CullingTool.
    
    Method OpenGl_Layer::Render() has been moved to OpenGl_LayerList::renderLayer().
    
    Standard Z-layers list definition has been moved
    from OpenGl_GraphicDriver to base class Graphic3d_GraphicDriver.
(0083536)
kgv (developer)
2019-04-08 18:11

Patch is ready for review.
(0083556)
osa (developer)
2019-04-09 12:05

Reviewed without remarks.
(0083566)
apn (administrator)
2019-04-09 13:14

Combination -
OCCT branch : CR30635
master SHA - 06e6ef272690991b2e83353c6f2e017aaccca86c
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - d412f0b027477420c2d298427655475b16b61588
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16602.930000000066 / 16561.32 [+0.25%]
Products
Total CPU difference: 10496.330000000049 / 10513.120000000044 [-0.16%]
Windows-64-VC14:
OCCT
Total CPU difference: 17953.5 / 17981.5625 [-0.16%]
Products
Total CPU difference: 12018.84375 / 11993.9375 [+0.21%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083716)
git (administrator)
2019-04-14 15:41

Branch CR30635 has been deleted by inv.

SHA-1: 06e6ef272690991b2e83353c6f2e017aaccca86c

- Related Changesets
occt: master d325cb7f
Timestamp: 2019-04-08 13:22:20
Author: kgv
Committer: apn
Details ] Diff ]
0030635: Visualization - move OpenGl_Layer to Graphic3d_Layer

Renamed classes (moved from TKOpenGl to TKV3d):
- OpenGl_Layer -> Graphic3d_Layer;
- OpenGl_BVHClipPrimitiveSet -> Graphic3d_BvhCStructureSet;
- OpenGl_BVHClipPrimitiveTrsfPersSet -> Graphic3d_BvhCStructureSetTrsfPers;
- OpenGl_BVHTreeSelector -> Graphic3d_CullingTool.

Method OpenGl_Layer::Render() has been moved to OpenGl_LayerList::renderLayer().

Standard Z-layers list definition has been moved
from OpenGl_GraphicDriver to base class Graphic3d_GraphicDriver.
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_Layer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ZLayerSettings.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_Caps.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStats.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStats.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Layer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-04-08 16:14 kgv New Issue
2019-04-08 16:14 kgv Assigned To => kgv
2019-04-08 16:15 kgv Relationship added child of 0030631
2019-04-08 16:27 kgv Description Updated View Revisions
2019-04-08 16:53 git Note Added: 0083527
2019-04-08 18:11 kgv Note Added: 0083536
2019-04-08 18:11 kgv Assigned To kgv => san
2019-04-08 18:11 kgv Status new => resolved
2019-04-09 09:08 kgv Assigned To san => osa
2019-04-09 12:05 osa Note Added: 0083556
2019-04-09 12:05 osa Assigned To osa => bugmaster
2019-04-09 12:05 osa Status resolved => reviewed
2019-04-09 13:14 apn Test case number => Not needed
2019-04-09 13:14 apn Note Added: 0083566
2019-04-09 13:14 apn Status reviewed => tested
2019-04-14 15:36 apn Changeset attached => occt master d325cb7f
2019-04-14 15:36 apn Assigned To bugmaster => apn
2019-04-14 15:36 apn Status tested => verified
2019-04-14 15:36 apn Resolution open => fixed
2019-04-14 15:41 git Note Added: 0083716


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker